cURL
curl --request POST \
--url https://platform.thena.ai/v1/emojis/actions/{teamId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"emojis": [
"white_check_mark"
],
"flow": "OUTBOUND",
"action": "create_ticket"
}
'import requests
url = "https://platform.thena.ai/v1/emojis/actions/{teamId}"
payload = {
"emojis": ["white_check_mark"],
"flow": "OUTBOUND",
"action": "create_ticket"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({emojis: ['white_check_mark'], flow: 'OUTBOUND', action: 'create_ticket'})
};
fetch('https://platform.thena.ai/v1/emojis/actions/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ok": true,
"data": {}
},
"status": true,
"message": "Emoji action created successfully!",
"timestamp": "2025-07-15T11:38:09.817Z"
}{
"statusCode": 400,
"message": "Team ID is required",
"error": "Bad Request"
}{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}{
"statusCode": 403,
"message": "This feature is only available for standard and enterprise tier organizations",
"error": "Forbidden"
}{
"message": "Validation failed",
"error": "Validation Error",
"statusCode": 422,
"details": [
{
"field": "emojis",
"errors": [
"Emoji(s) to map against the action are required"
]
},
{
"field": "flow",
"errors": [
"Flow to map against the emojis is required"
]
},
{
"field": "action",
"errors": [
"Action to map against the emojis is required"
]
}
]
}{
"statusCode": 500,
"message": "Failed to map emoji action",
"error": "Internal Server Error"
}{
"statusCode": 503,
"message": "Service Unavailable",
"error": "Service Unavailable"
}Emoji actions
Map an emoji action
Create emoji action mappings for a team. This endpoint is only available for standard and enterprise tier organizations.
POST
/
v1
/
emojis
/
actions
/
{teamId}
cURL
Authorizations
Enter your API key
Path Parameters
Body
application/json
Response
Success - Emoji action mappings created successfully
⌘I